package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.ms.*;

import java.util.List;

public interface IMsEducationService {
    List<EducationOrganizationResoultModel> queryList(EducationOrganizationSearchModel searchModel);

    Integer queryListCount(EducationOrganizationSearchModel searchModel);

    String getListObj(String orgCode) ;

    ResultState<Long> add(EducationOrganizationAddModel educationOrganizationAddModel);

    EducationEditResultModel getEducationById(long id);

    ResultState<Long> edit(EducationOrganizationEditModel educationOrganizationEditModel);

    ResultState delete(long id);
}
